Intrusion Prevention

Exim.b64decode.Off.By.One.Buffer.Overflow

Description

This indicates an attack attempt to exploit a Buffer Overflow Vulnerability in Exim.
The vulnerability is due to insufficient sanitizing of user supplied inputs in the application when parsing crafted SMTP requests. A remote attacker may be able to exploit this to execute arbitrary code within the context of the application, via a crafted SMTP request.

Affected Products

Exim prior to 4.90.1

Impact

System Compromise: Remote attackers can gain control of vulnerable systems.

Recommended Actions

Apply patch available from the vendor.
https://git.exim.org/exim.git/commit/cf3cd306062a08969c41a1cdd32c6855f1abecf1

CVE References

CVE-2018-6789